Index: palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- palm/trunk/SOURCE/flow_statistics.f90	(revision 4901)
+++ palm/trunk/SOURCE/flow_statistics.f90	(revision 1)
@@ -934,11 +462,9 @@
 !--             Passive scalar flux
                 IF ( passive_scalar )  THEN
-                   sums_l(k,117,tn) = sums_l(k,117,tn)                                             &
-                                         - 0.5_wp * ( kh(k,j,i) + kh(k+1,j,i) )                    &
-                                                  * ( s(k+1,j,i) - s(k,j,i) )                      &
-                                                  * ddzu(k+1) * rmask(j,i,sr)                      &
-                                                              * flag
+                   sums_l(k,48,tn) = sums_l(k,48,tn)                           &
+                                         - 0.5 * ( kh(k,j,i) + kh(k+1,j,i) )   &
+                                               * ( q(k+1,j,i) - q(k,j,i) )     &
+                                               * ddzu(k+1) * rmask(j,i,sr)
                 ENDIF
-#endif
 
              ENDDO
